Skip to content

Monitoring

GET
/notebooks/{Instance_id}/metrics/gauge/all/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/metrics/gauge/all/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the current storage, memory and GPU figures of the Instance or Virtual Machine.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Node metrics retrieved successfully

Media typeapplication/json
object
code
integer
data
object
pvc_metrics
object
pvc_capacity
string
used_pvc_storage
string
memory_metrics
object
memory_capacity
string
used_memory_capacity
string
ephemeral_storage_metrics
object
ephemeral_storage_capacity
string
used_ephemeral_storage
string
gpu_metrics
object
avg_gpu_utilization
string
nullable
avg_gpu_temperature
string
nullable
avg_gpu_power
string
nullable
used_gpu_memory
string
nullable
total_gpu_memory
string
nullable
cpu_metrics
object
avg_cpu_utilization
string
avg_memory_utilization
string
uptime
string
gpu_performance_metrics
object
avg_memory_bandwidth
string
nullable
avg_tensor_throughput
string
nullable
pcie_throughput
string
nullable
errors
object
message
string

Example

{
"code": 200,
"data": {
"pvc_metrics": {
"pvc_capacity": "29412593664",
"used_pvc_storage": "57860096"
},
"memory_metrics": {
"memory_capacity": "15998753178",
"used_memory_capacity": "117813248"
},
"ephemeral_storage_metrics": {
"ephemeral_storage_capacity": "50000000000",
"used_ephemeral_storage": "868352"
},
"gpu_metrics": {
"avg_gpu_utilization": "",
"avg_gpu_temperature": "",
"avg_gpu_power": "",
"used_gpu_memory": "",
"total_gpu_memory": ""
},
"cpu_metrics": {
"avg_cpu_utilization": "0.14139347820001158",
"avg_memory_utilization": "0.5931316606002083",
"uptime": "136.91499996185303"
},
"gpu_performance_metrics": {
"avg_memory_bandwidth": "",
"avg_tensor_throughput": "",
"pcie_throughput": ""
}
},
"errors": {},
"message": "Success"
}